### Home Classes Methods

### In Files

- lib/cool.io.rb
- lib/cool.io/dsl.rb

### Namespace

- MODULE Cool::Coolness
- MODULE Cool::IOThunk

### Methods

- ::io

### Class/Module Index

Quicksearch

- Coolio
- Coolio::AsyncWatcher
- Coolio::Connections
- Coolio::DNSResolver
- Coolio::DNSResolver::Timeout
- Coolio::DSL
- Coolio::DSL::ConnectionBuilder
- Coolio::IO
- Coolio::IO::Watcher
- Coolio::IOWatcher
- Coolio::Listener
- Coolio::Loop
- Coolio::Meta
- Coolio::Server
- Coolio::Socket
- Coolio::Socket::Connector
- Coolio::TCPListener
- Coolio::TCPServer
- Coolio::TCPSocket
- Coolio::TCPSocket::TCPConnectResolver
- Coolio::TCPSocket::TCPConnectSocket
- Coolio::TimerWatcher
- Coolio::UNIXListener
- Coolio::UNIXServer
- Coolio::UNIXSocket
- Cool
- Cool::Coolness
- Cool::IOThunk
- Object
- Thread

No matching classes.

# Cool

The Cool module containing all our coolness

### Public Class Methods

io() click to toggle source

Allow Coolio module to be referenced as Cool.io

    # File lib/cool.io.rb, line 31
    def self.io
      Coolio
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.